+++
title = "Advanced"
author = "Babylen Tatarsky"
+++



## Getting the CLI Wallet

### LINUX
Download the Linux 64-bit command line client and extract it
```
wget https://git.wownero.com/attachments/d37154e8-0210-447e-b219-be9ddfdddc67 -O wownero-x86_64-linux-gnu-v0.9.0.2.tar.bz2
tar -xf wownero-x86_64-linux-gnu-v0.9.0.2.tar.bz2
cd wownero-x86_64-linux-gnu-v0.9.0.2
```

### MACOS
Download the Mac command line client and extract it
```
wget https://git.wownero.com/attachments/c39f93e8-4d96-41e3-8fbf-38b77cac018d -O wownero-x86_64-apple-darwin11-v0.9.0.2.tar.bz2
tar -xf wownero-x86_64-apple-darwin11-v0.9.0.2.tar.bz2
cd wownero-x86_64-apple-darwin11-v0.9.0.2
```

### WINDOWS
Download the w64 command line client and extract it
```
Download: https://git.wownero.com/attachments/4f7ba7ed-7667-4721-bc2f-d2c44223b1c3

unzip wownero-x86_64-w64-mingw32-v0.9.0.2.zip
cd wownero-x86_64-w64-mingw32-v0.9.0.2
```

## Run the Wownero daemon
It will sync with the network and display the message "You are now synchronized with the network. You may now start wownero-wallet-cli" when it is completely up to date with the network

### LINUX/MAC
```
./wownerod
```
### WINDOWS
```
wownerod.exe
```


## Run the CLI Wallet
The job of the Wownero daemon is to monitor the network for new transactions. You now need to open a new terminal window and run the Wownero command line wallet, which will communicate with the Wownero daemon that you've just stared.

### LINUX/MAC
```
./wownero-wallet-cli
```
### WINDOWS
```
wownero-wallet-cli.exe
```
Follow the instructions displayed to create a new wallet. When told the 25 word SEED, write this down on paper and keep it in a very safe place. Even if you forget your passwords, the 25 word SEED can be used to recreate your wallet from any machine and have complete control over your Wownero funds. Sample output from the Wownero wallet is below:

```
This is the command line wownero wallet. It needs to connect to a wownero
daemon to work correctly.

Wownero 'Illiterate Illuminati' (v0.9.0.2-release)
Logging to ./wownero-wallet-cli.log
Specify wallet file name (e.g., MyWallet). If the wallet doesn't exist, it will be created.
Wallet file name (or Ctrl-C to quit): test
No wallet found with that name. Confirm creation of new wallet named: test
  (Y/Yes/N/No): Yes
Generating new wallet...
Enter a new password for the wallet: 
Confirm password: 
List of available languages for your wallet's seed:
If your display freezes, exit blind with ^C, then run again with --use-english-language-names
0 : Deutsch
1 : English
2 : Español
3 : Français
4 : Italiano
5 : Nederlands
6 : Português
7 : русский язык
8 : 日本語
9 : 简体中文 (中国)
10 : Esperanto
11 : Lojban
Enter the number corresponding to the language of your choice: 1
Generated new wallet: Wo56Q2erJFrAm67K5HKeW9dGVkR3rNyj2QMHyfXg6ZKxMSfTYTLortUMMnCKVhGCh6j9ienFmqQDBiawX7kUU3eu2cyNceviw
View key: 61db41ac77e2ca8f4b93eca580faf6d7c7534d7783d114272ca51bc2cdf53509
**********************************************************************
Your wallet has been generated!
To start synchronizing with the daemon, use the "refresh" command.
Use the "help" command to see a simplified list of available commands.
Use "help all" command to see the list of all available commands.
Use "help <command>" to see a command's documentation.
Always use the "exit" command when closing wownero-wallet-cli to save 
your current session's state. Otherwise, you might need to synchronize 
your wallet again (your wallet keys are NOT at risk in any case).


NOTE: the following 25 words can be used to recover access to your wallet. Write them down and store them somewhere safe and secure. Please do not store them in your email or on file storage services outside of your immediate control.

nitrogen lending cent cigar frown tipsy cuddled spout
lied pawnshop seismic ferry tubes audio deodorant sack
sayings damp gather spiders bicycle online smash surfer lied
**********************************************************************
Warning: using an untrusted daemon at http://wowbux.org:34568
Using a third party daemon can be detrimental to your security and privacy
You are strongly encouraged to connect to the Wownero network using your own daemon
If you or someone you trust are operating this daemon, you can use --trusted-daemon
Background mining not enabled. Run "set setup-background-mining 1" to change.
If you are new to Wownero, type "welcome" for a brief overview.
Starting refresh...
Refresh done, blocks received: 0                                
Untagged accounts:
          Account               Balance      Unlocked balance                 Label
 *       0 Wo56Q2         0.00000000000         0.00000000000       Primary account
----------------------------------------------------------------------------------
          Total         0.00000000000         0.00000000000
Currently selected account: [0] Primary account
Tag: (No tag assigned)
Balance: 0.00000000000, unlocked balance: 0.00000000000
Background refresh thread started

```

Type "address" to see your public wallet address. You can give this address to anyone, and they will be able to send you Wownero. However, NEVER give anyone your 25 word SEED.
```
[wallet Wo56Q2]: address
0  Wo56Q2erJFrAm67K5HKeW9dGVkR3rNyj2QMHyfXg6ZKxMSfTYTLortUMMnCKVhGCh6j9ienFmqQDBiawX7kUU3eu2cyNceviw  Primary address 
```

## Generate Wow with CLI

To solo mine, follow these directions:

### Windows 10

1. Download `wownero_win64_v0.X.X.X.zip` archive file from [release page](https://git.wownero.com/wownero/wownero/releases) and [extract files](https://support.microsoft.com/en-us/help/4028088/windows-zip-and-unzip-files).
2. Open [Command Prompt](https://www.howtogeek.com/235101/10-ways-to-open-the-command-prompt-in-windows-10/) and [change directory](https://www.digitalcitizen.life/command-prompt-how-use-basic-commands) to location of extracted files.
3. Run `wownerod.exe`and wait a few minutes until there is **SYNCHRONIZED OK** message.
4. Open new tab with `Ctrl + t`, run `wownero-wallet-cli.exe`, name your new wallet, enter a password, select a language,  write down and save the 25-word [Mnemonic Seed](https://web.getmonero.org/resources/moneropedia/mnemonicseed.html) somewhere safe.
5. To enable background mining while computer is idle and not on battery, type `yes`.
6. Copy your wallet's address, type `exit` and `exit` to close tab.
7. To start mining, in `wownerod.exe`, type and paste `start_mining YOUR_ADDRESS 2`. The number "2" is for two threads and the value could be increased or decreased depending on the number of cores in your CPU.
8. To see mining hash rate, type `status`. This will show you height, mining, and network information.
9. To stop mining, enter command `stop_mining`.
10. To exit Wownero, type `save` and `exit` and then `exit` again to close window.

### Linux
1. Download `wownero_Linux_v0.X.X.X.tar.bz2` archive file from [release page](https://git.wownero.com/wownero/wownero/releases) and [untar files](https://www.howtogeek.com/50093/unzip-bunzip2-and-untar-those-tar-gz-or-tar-bz2-files-in-one-step/).
2. Open [Terminal](https://www.howtogeek.com/140679/beginner-geek-how-to-start-using-the-linux-terminal/) and [change directory](https://help.ubuntu.com/community/UsingTheTerminal#File_.26_Directory_Commands) to location of untared files.
3. Run `./wownerod`and wait a few minutes until there is **SYNCHRONIZED OK** message.
4. Open new tab with `Shift + Ctrl + t`, run `./wownero-wallet-cli`, name your new wallet, enter a password, select a language,  write down and save the 25-word [Mnemonic Seed](https://web.getmonero.org/resources/moneropedia/mnemonicseed.html) somewhere safe.
5. To enable background mining while computer is idle and not on battery, type `yes`.
6. Copy your wallet's address, type `exit` and `exit` to close tab.
7. To start mining, in `wownerod`, type and paste `start_mining YOUR_ADDRESS 2`. The number "2" is for two threads and the value could be increased or decreased depending on the number of cores in your CPU.
8. To see mining hash rate, type `status`. This will show you height, mining, and network information.
9. To stop mining, enter command `stop_mining`.
10. To exit Wownero, type `save` and `exit` and then `exit` again to close terminal.

### MacOS

Same as Linux



## Generate Wow with xmrig
How to mine wownero? You can use xmrig to mine wow on pools.

### Install xmrig
Get xmrig from [xmrig releases](https://github.com/xmrig/xmrig/releases)

### Run xmrig
Run xmrig with the following flags (don't forget to set your address!)
```
./xmrig -o pool.wowne.ro:7777 -u Wo3MWeKwtA918DU4c69hVSNgejdWFCRCuWjShRY66mJkU2Hv58eygJWDJS1MNa2Ge5M1WjUkGHuLqHkweDxwZZU42d16v94mP -p fluffydoge -a rx/wow --cpu-priority 0
```

